% BBL GUI file: cl_bblini.m
% This file sets the initial parameters for the GUI. Created by file cl_bblsave.m
%
% Usage: cl_bblgui
% Click on help buttons for tips.
%
% Version 1.2, 10Oct2005, C. A. Linder
% http://www.whoi.edu/science/PO/people/clinder/software_bbl.html
%

bbldirectory = '/Users/clinder/Documents/bbl';
inputfile = 'seep-feb84-2';
holdplots=0;
deltasigma=  0.0050;
parameter=1;
saveout=0;
MinX =   0.00; DelX =   5.00; MaxX = 120.00;
MinY = -150.00; DelY =   5.00; MaxY =   0.00;
query=1;
smoothing=2;
sigmathetacontours=[25         25.5           26         26.5           27         27.5];
accumthetacontours=[0         0.1         0.2         0.3         0.4         0.5         0.6         0.8           1         1.5           2];
accumthetacaxis=[0  2];
switch parameter
case 1
   rb_theta=1; rb_salinity=0; rb_spice=0;
case 2
   rb_theta=0; rb_salinity=1; rb_spice=0;
case 3
   rb_theta=0; rb_salinity=0; rb_spice=1;
end;
