% BBL GUI file: cl_bblsave.m
% This file saves your default values for the GUI.
%
% Usage: cl_bblgui
% Click on help buttons for tips.
%
% Version 1.2, 10Oct2005, C. A. Linder
% http://www.whoi.edu/science/PO/people/clinder/software_bbl.html
%

eval(sprintf('outfile=''%s'';',which('cl_bblini.m')));
fido=fopen(outfile,'w+');
fprintf(fido,'%% BBL GUI file: cl_bblini.m\n');
fprintf(fido,'%% This file sets the initial parameters for the GUI. Created by file cl_bblsave.m\n');
fprintf(fido,'%%\n');
fprintf(fido,'%% Usage: cl_bblgui\n');
fprintf(fido,'%% Click on help buttons for tips.\n');
fprintf(fido,'%% Version 1.1, 18Apr2002, C. A. Linder\n');
fprintf(fido,'%%\n\n');
fprintf(fido,'bbldirectory = ''%s'';\n',pwd);
fprintf(fido,'inputfile = ''%s'';\n',inputfile);
fprintf(fido,'holdplots=%d;\n',holdplots);
fprintf(fido,'methodchoice=%d;\n',methodchoice);
fprintf(fido,'deltasigma=%8.4f;\n',deltasigma);
fprintf(fido,'parameter=%d;\n',parameter);
fprintf(fido,'saveout=%d;\n',saveout);
fprintf(fido,'MinX = %6.2f; ',MinX);
fprintf(fido,'DelX = %6.2f; ',DelX);
fprintf(fido,'MaxX = %6.2f;\n',MaxX);
fprintf(fido,'MinY = %6.2f; ',MinY);
fprintf(fido,'DelY = %6.2f; ',DelY);
fprintf(fido,'MaxY = %6.2f;\n',MaxY);
fprintf(fido,'query=%d;\n',query);
fprintf(fido,'smoothing=%d;\n',smoothing);
fprintf(fido,'sigmathetacontours=[%s];\n',num2str(sigmathetacontours));
fprintf(fido,'accumthetacontours=[%s];\n',num2str(accumthetacontours));
fprintf(fido,'accumthetacaxis=[%s];\n',num2str(accumthetacaxis));
fprintf(fido,'switch parameter\n');
fprintf(fido,'case 1\n');
fprintf(fido,'   rb_theta=1; rb_salinity=0; rb_spice=0;\n');
fprintf(fido,'case 2\n');
fprintf(fido,'   rb_theta=0; rb_salinity=1; rb_spice=0;\n');
fprintf(fido,'case 3\n');
fprintf(fido,'   rb_theta=0; rb_salinity=0; rb_spice=1;\n');
fprintf(fido,'end;\n');
fclose(fido);
