% BBL GUI file: cl_bblcomputehelp.m
% This is the help file for the Compute Options window.
%
% Usage: cl_bblgui
% Click on help buttons for tips.
%
% Version 1.2, 10Oct2005, C. A. Linder
% http://www.whoi.edu/science/PO/people/clinder/software_bbl.html
%

ht=cell(1,1);
ht{1}='';
ht{2}='';
ht{3}='Bottom Boundary Layer GUI Compute Options Help';
ht{4}='';
ht{5}='There are some restrictions regarding file format.  The program expects the following format (and will crash if format not followed!)';
ht{6}='';
ht{7}='- Input file: a Matlab .mat file containing these arrays:';
ht{8}='One six-column array named "posits"';
ht{9}='1: Station number (1 through Numstations)';
ht{10}='2: Latitude degrees (- for South)';
ht{11}='3: Latitude decimal minutes (- for South)';
ht{12}='4: Longitude degrees (- for West)';
ht{13}='5: Longitude decimal minutes (- for West)';
ht{14}='6: Bottom depth of cast (meters)';
ht{15}=' ';
ht{16}='One array for each station named "rawprofileX" where X is the station number from the posits array - each is a 3 column array';
ht{17}='1: Pressure (dbar)';
ht{18}='2: Temperature (C)';
ht{19}='3: Salinity';
ht{20}=' ';
ht{21}='- Deltasigma.  Interpolation step.  Smaller number means more computation time, but more accuracy.';
ht{22}='- Save outfile.mat.  This resaves the range, posits, and rawprofiles, with one more column appended-the accumulated theta.  The output filename is outfile.mat.';
msgbox(ht,'Help');
