% BBL GUI file: cl_bblplothelp.m
% This is the help file for the Gridding/Plotting window.
%
% Usage: cl_bblgui
% Click on help buttons for tips.
%
% Version 1.2, 10Oct2005, C. A. Linder
% http://www.whoi.edu/science/PO/people/clinder/software_bbl.html
%

ht=cell(1,1);
ht{1}='';
ht{2}='Bottom Boundary Layer GUI Gridding/Plotting Help';
ht{3}='';
ht{4}='Gridding/Plotting options';
ht{5}='- Spacing and limits - self explanatory.  If you need help choosing these limits, hit the "Data query" button';
ht{6}='- Smoothing - how much the data is smoothed when using ppzgrid.';
ht{7}='- Sigma-theta contours - these are the contours overlaid on many plots.  Pick as many as you like.';
ht{8}='- Accumulated theta contours - these are the contours overlaid on the final plot.';
ht{9}='- ATC colorbar - the color range of the final ATC plot.  Leave blank for full range.';
ht{10}='- Data query - displays the range, depth, and sigmatheta limits of your data.';
ht{11}='- Compute/Plot - computes the accumulated theta difference, and displays selected plots.';
msgbox(ht,'Help');
