% BBL GUI file: cl_bblupd.m
% This supporting mfile warns the user if they select bad gridding limits.
%
% Usage: cl_bblgui
% Click on help buttons for tips.
%
% Version 1.2, 10Oct2005, C. A. Linder
% http://www.whoi.edu/science/PO/people/clinder/software_bbl.html
%

if mod((MaxX-MinX),DelX) ~= 0
  msgbox('Warning!  You must choose DelX so that it divides into MaxX-MinX evenly.','Error!');
end;
if mod((MaxY-MinY),DelY) ~= 0
  msgbox('Warning!  You must choose DelY so that it divides into MaxY-MinY evenly.','Error!');   
end;
if (MaxX > MinX) & (MaxY > MinY)
else
  msgbox('Max X/Y must exceed Min X/Y.  Please reenter.','Error!');   
end;
